1. API reference
  2. Tasks

List tasks

GEThttps://howdybell.com/api/v1/tasks

Returns a list of tasks for the specified location, sorted by due date. You can filter by contact ID or due date status (overdue, today, week, all). The list is limited to 500 items.

Parameters

  • location_idintegerRequiredquery

    The location to work in. Must belong to your workspace.

  • contact_idintegerquery

    Filter tasks by contact ID.

  • duestringquery

    Filter tasks by due date status: overdue, today, week, or all.

Responses

200

  • dataarray of string
RequestcURL
curl -X GET "https://howdybell.com/api/v1/tasks?location_id=1" \
  -H "Authorization: Bearer $HOWDYBELL_TOKEN" \
  -H "Accept: application/json" \
Response200
{
  "data": []
}
List tasks (GET /api/v1/tasks) | HowdyBell Developers